Package eu.mhsl.minenet.minigames.handler.global

# Class AddEntityToInstanceEventListener

java.lang.Object
eu.mhsl.minenet.minigames.handler.global.AddEntityToInstanceEventListener

All Implemented Interfaces:
  `net.minestom.server.event.EventListener<net.minestom.server.event.instance.AddEntityToInstanceEvent>`

public class AddEntityToInstanceEventListener extends Object implements net.minestom.server.event.EventListener<net.minestom.server.event.instance.AddEntityToInstanceEvent>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface net.minestom.server.event.EventListener

  `net.minestom.server.event.EventListener.Builder<T extends net.minestom.server.event.Event>, net.minestom.server.event.EventListener.Result`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddEntityToInstanceEventListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@NotNull Class`
  `eventType()`
  `@NotNull net.minestom.server.event.EventListener.Result`
  `run(@NotNull net.minestom.server.event.instance.AddEntityToInstanceEvent event)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AddEntityToInstanceEventListener

    public AddEntityToInstanceEventListener()

- ## Method Details

  - ### eventType

    @NotNull public @NotNull Class eventType()
    Specified by:
      `eventType` in interface `net.minestom.server.event.EventListener<net.minestom.server.event.instance.AddEntityToInstanceEvent>`

  - ### run

    @NotNull public @NotNull net.minestom.server.event.EventListener.Result run(@NotNull @NotNull net.minestom.server.event.instance.AddEntityToInstanceEvent event)
    Specified by:
      `run` in interface `net.minestom.server.event.EventListener<net.minestom.server.event.instance.AddEntityToInstanceEvent>`